<div class="min-w-full p-2">
    <form class="flex flex-col w-full">
        <div class="pb-1">
            <div class="text-3xl font-cairo font-bold mb-6">
                Add Collaboration Team Member
            </div>
        </div>
        <mat-dialog-content class="min-w-full relative mb-4">
            <mat-tab-group class="tab-type-two is-parent-tab" [animationDuration]="'0'">
                <mat-tab label="Primary User">
                    <ng-template matTabContent>
                        <!--table component-->
                        <div class="srm-bg mb-4 rounded-lg rounded-t-none">
                            <div class="p-6">

                                <div class="flex flex-col flex-wrap sm:flex-row items-center max-w-xs sm:max-w-none">
                                    <div class="mr-4">
                                        <mat-form-field class="fuse-mat-no-subscript fuse-mat-emphasized-affix w-80 mt-4 sm:mt-0 mr-1 mb-3" [floatLabel]="'always'">
                                            <div class="text-secondary px-2" matPrefix>User Name</div>
                                            <input matInput placeholder="Search by User Name" #input>
                                        </mat-form-field>
                                        <mat-form-field class="fuse-mat-no-subscript fuse-mat-emphasized-affix w-64 mt-4 sm:mt-0 mr-1 mb-3" [floatLabel]="'always'">
                                            <div class="text-secondary px-2" matPrefix>Position</div>
                                            <input matInput placeholder="Search by Position" #input>
                                        </mat-form-field>
                                        <mat-form-field class="fuse-mat-no-subscript fuse-mat-emphasized-affix w-60 mt-4 sm:mt-0 mr-1 mb-3" [floatLabel]="'always'">
                                            <div class="text-secondary px-2" matPrefix>Email</div>
                                            <input matInput placeholder="Search by Email" #input>
                                        </mat-form-field>

                                    </div>

                                    <button class="sm:inline-flex mb-3" mat-stroked-button [color]="'primary'">
                                        <mat-icon matPrefix class="icon-size-5 ml-8" [svgIcon]="'heroicons_solid:search'"></mat-icon>
                                        <span class="mr-8 ml-4">Search</span>
                                    </button>
                                </div>

                            </div>

                        </div>
                        <!--base table component-->
                        <div class="overflow-auto bg-gray-50 rounded-lg">
                            <table mat-table [dataSource]="dataSource" matSort class="expanded-rows-table font-helvetica text-gray-500">

                                <!-- ID Column -->
                                <ng-container matColumnDef="id">
                                    <th mat-header-cell *matHeaderCellDef style="max-width: 60px; min-width: 50px; width :50px"></th>
                                    <td mat-cell *matCellDef="let row">
                                        <mat-radio-button [color]="'primary'"></mat-radio-button>
                                    </td>
                                </ng-container>

                                <!-- user Name Column -->
                                <ng-container matColumnDef="teamUserName">
                                    <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 150px; min-width: 140px">
                                        User Name
                                    </th>
                                    <td mat-cell *matCellDef="let row"> {{row.teamUserName}} </td>
                                </ng-container>

                                <!-- Position Column -->
                                <ng-container matColumnDef="teamPosition">
                                    <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 180px; min-width: 150px">
                                        Position
                                    </th>
                                    <td mat-cell *matCellDef="let row"> {{row.teamPosition}} </td>
                                </ng-container>

                                <!-- EmailID Column -->
                                <ng-container matColumnDef="teamEmail">
                                    <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 170px; min-width: 160px">
                                        Email Address
                                    </th>
                                    <td mat-cell *matCellDef="let row"> {{row.teamEmail}} </td>
                                </ng-container>


                                <tr mat-header-row *matHeaderRowDef="displayedColumn"></tr>
                                <tr mat-row *matRowDef="let row; columns: displayedColumn;"></tr>

                                <!-- Row shown when there is no matching data. -->
                                <tr class="mat-row" *matNoDataRow>
                                    <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
                                </tr>
                            </table>
                        </div>
                        <!--table component end-->
                    </ng-template>
                </mat-tab>
                <mat-tab label="Substitute User">
                    <ng-template matTabContent>
                        <!--table component-->
                        <div class="srm-bg mb-4 rounded-lg rounded-t-none">
                            <div class="p-6">

                                <div class="flex flex-col flex-wrap sm:flex-row items-center max-w-xs sm:max-w-none">
                                    <div class="mr-4">
                                        <mat-form-field class="fuse-mat-no-subscript fuse-mat-emphasized-affix w-80 mt-4 sm:mt-0 mr-1 mb-3" [floatLabel]="'always'">
                                            <div class="text-secondary px-2" matPrefix>User Name</div>
                                            <input matInput placeholder="Search by User Name" #input>
                                        </mat-form-field>
                                        <mat-form-field class="fuse-mat-no-subscript fuse-mat-emphasized-affix w-64 mt-4 sm:mt-0 mr-1 mb-3" [floatLabel]="'always'">
                                            <div class="text-secondary px-2" matPrefix>Position</div>
                                            <input matInput placeholder="Search by Position" #input>
                                        </mat-form-field>
                                        <mat-form-field class="fuse-mat-no-subscript fuse-mat-emphasized-affix w-60 mt-4 sm:mt-0 mr-1 mb-3" [floatLabel]="'always'">
                                            <div class="text-secondary px-2" matPrefix>Email</div>
                                            <input matInput placeholder="Search by Email" #input>
                                        </mat-form-field>

                                    </div>

                                    <button class="sm:inline-flex mb-3" mat-stroked-button [color]="'primary'">
                                        <mat-icon matPrefix class="icon-size-5 ml-8" [svgIcon]="'heroicons_solid:search'"></mat-icon>
                                        <span class="mr-8 ml-4">Search</span>
                                    </button>
                                </div>

                            </div>

                        </div>
                        <!--base table component-->
                        <div class="overflow-auto bg-gray-50 rounded-lg">
                            <table mat-table [dataSource]="dataSource" matSort class="expanded-rows-table font-helvetica text-gray-500">

                                <!-- ID Column -->
                                <ng-container matColumnDef="id">
                                    <th mat-header-cell *matHeaderCellDef style="max-width: 60px; min-width: 50px; width :50px"></th>
                                    <td mat-cell *matCellDef="let row">
                                        <mat-radio-button [color]="'primary'"></mat-radio-button>
                                    </td>
                                </ng-container>

                                <!-- user Name Column -->
                                <ng-container matColumnDef="teamUserName">
                                    <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 150px; min-width: 140px">
                                        User Name
                                    </th>
                                    <td mat-cell *matCellDef="let row"> {{row.teamUserName}} </td>
                                </ng-container>

                                <!-- Position Column -->
                                <ng-container matColumnDef="teamPosition">
                                    <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 180px; min-width: 150px">
                                        Position
                                    </th>
                                    <td mat-cell *matCellDef="let row"> {{row.teamPosition}} </td>
                                </ng-container>

                                <!-- EmailID Column -->
                                <ng-container matColumnDef="teamEmail">
                                    <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 170px; min-width: 160px">
                                        Email Address
                                    </th>
                                    <td mat-cell *matCellDef="let row"> {{row.teamEmail}} </td>
                                </ng-container>


                                <tr mat-header-row *matHeaderRowDef="displayedColumn"></tr>
                                <tr mat-row *matRowDef="let row; columns: displayedColumn;"></tr>

                                <!-- Row shown when there is no matching data. -->
                                <tr class="mat-row" *matNoDataRow>
                                    <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
                                </tr>
                            </table>
                        </div>
                        <!--table component end-->
                        <div class="flex align-center mt-4 italic">
                            <mat-icon color="primary" class="icon-size-5 mr-2" [svgIcon]="'heroicons_outline:information-circle'"></mat-icon>
                            In this page, you can add a substitute user to the primary user selected on the previous tab
                        </div>
                    </ng-template>
                </mat-tab>
                <mat-tab label="Team">
                    <ng-template matTabContent>
                        <!--table component-->
                        <div class="srm-bg mb-4 rounded-lg rounded-t-none">
                            <div class="p-6">

                                <div class="flex flex-col flex-wrap sm:flex-row items-center max-w-xs sm:max-w-none">
                                    <div class="mr-4">
                                        <mat-form-field class="fuse-mat-no-subscript fuse-mat-emphasized-affix w-60 mt-4 sm:mt-0 mr-1 mb-3" [floatLabel]="'always'">
                                            <div class="text-secondary px-2" matPrefix>Team</div>
                                            <input matInput placeholder="Search by Team" #input>
                                        </mat-form-field>
                                        <mat-form-field class="fuse-mat-no-subscript fuse-mat-emphasized-affix w-80 mt-4 sm:mt-0 mr-1 mb-3" [floatLabel]="'always'">
                                            <div class="text-secondary px-2" matPrefix>Description</div>
                                            <input matInput placeholder="Search by Description" #input>
                                        </mat-form-field>

                                    </div>

                                    <button class="sm:inline-flex mb-3" mat-stroked-button [color]="'primary'">
                                        <mat-icon matPrefix class="icon-size-5 ml-8" [svgIcon]="'heroicons_solid:search'"></mat-icon>
                                        <span class="mr-8 ml-4">Search</span>
                                    </button>
                                </div>

                            </div>

                        </div>
                        <!--base table component-->
                        <div class="overflow-auto bg-gray-50 rounded-lg">
                            <table mat-table [dataSource]="dataSource2" matSort class="expanded-rows-table font-helvetica text-gray-500">

                                <!-- ID Column -->
                                <ng-container matColumnDef="id">
                                    <th mat-header-cell *matHeaderCellDef style="max-width: 60px; min-width: 50px; width :50px"></th>
                                    <td mat-cell *matCellDef="let row">
                                        <mat-radio-button [color]="'primary'"></mat-radio-button>
                                    </td>
                                </ng-container>

                                <!-- Team Column -->
                                <ng-container matColumnDef="team">
                                    <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 150px; min-width: 140px">
                                        Team
                                    </th>
                                    <td mat-cell *matCellDef="let row"> {{row.team}} </td>
                                </ng-container>

                                <!-- Description Column -->
                                <ng-container matColumnDef="description">
                                    <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 180px; min-width: 150px">
                                        Description
                                    </th>
                                    <td mat-cell *matCellDef="let row"> {{row.description}} </td>
                                </ng-container>


                                <tr mat-header-row *matHeaderRowDef="displayedColumn2"></tr>
                                <tr mat-row *matRowDef="let row; columns: displayedColumn2;"></tr>

                                <!-- Row shown when there is no matching data. -->
                                <tr class="mat-row" *matNoDataRow>
                                    <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
                                </tr>
                            </table>
                        </div>
                        <!--table component end-->
                        <div class="flex align-center my-4 italic">
                            <mat-icon color="primary" class="icon-size-5 mr-2" [svgIcon]="'heroicons_outline:information-circle'"></mat-icon>
                            If you are not able to find the intended team, you can add the define a new team below.
                        </div>

                        <div class="srm-bg mb-4 rounded-lg rounded-t-none">
                            <div class="p-6">
                                <form>
                                    <div class="flex">
                                        <mat-form-field class="w-2/3 mr-2">
                                            <mat-label>Add Team Name</mat-label>
                                            <input matInput />
                                            <!-- <mat-error>
                                                <span *ngIf="!teamList.get('teamName').valid && teamList.get('teamName').touched">Please enter Team Name</span>
                                            </mat-error> -->
                                        </mat-form-field>
                                        <mat-form-field class="w-2/3">
                                            <mat-label>Add Team Description</mat-label>
                                            <input matInput />
                                            <!-- <mat-error>
                                                <span *ngIf="!teamList.get('teamName').valid && teamList.get('teamName').touched">Please enter Team Name</span>
                                            </mat-error> -->
                                        </mat-form-field>

                                        <button class="inline-flex px-12 ml-4 mt-6" mat-raised-button [color]="'primary'">
                                            Save Team
                                        </button>
                                    </div>
                                </form>
                            </div>
                        </div>

                    </ng-template>
                </mat-tab>
                <mat-tab label="RFx Access">
                    <ng-template matTabContent>
                        <div class="flex mt-6">
                            <mat-form-field class="w-1/3 pr-2">
                                <mat-label>RFx Role</mat-label>
                                <mat-select [value]="1" multiple>
                                    <mat-option [value]="1">
                                        Buyer
                                    </mat-option>
                                    <mat-option [value]="2">
                                        Manager
                                    </mat-option>
                                    <mat-option [value]="3">
                                        Technical Bid Evaluator
                                    </mat-option>
                                    <mat-option [value]="4">
                                        Commercial Bid Evaluator
                                    </mat-option>
                                    <mat-option [value]="5">
                                        Watcher
                                    </mat-option>
                                </mat-select>
                            </mat-form-field>
                            <mat-form-field class="w-1/3 px-2">
                                <mat-label>Access Level</mat-label>
                                <mat-select [value]="2" multiple>
                                    <mat-option [value]="1">
                                        Full
                                    </mat-option>
                                    <mat-option [value]="2">
                                        Edit
                                    </mat-option>
                                    <mat-option [value]="3">
                                        View Only
                                    </mat-option>
                                </mat-select>
                            </mat-form-field>
                            <mat-form-field class="w-1/3 pl-2">
                                <mat-label>Pages with Access</mat-label>
                                <mat-select [value]="2" multiple>
                                    <mat-option [value]="1">
                                        Full RFQ
                                    </mat-option>
                                    <mat-option [value]="2">
                                        Evaluations - TBE
                                    </mat-option>
                                    <mat-option [value]="3">
                                        Evaluations - CBE
                                    </mat-option>
                                    <mat-option [value]="4">
                                        Scoring & Evaluations
                                    </mat-option>
                                </mat-select>
                            </mat-form-field>
                        </div>
                    </ng-template>
                </mat-tab>
            </mat-tab-group>





                <div class="flex flex-col justify-start mt-5">
                    <div class="flex align-center text-warn font-medium mb-2" *ngIf="iserror">
                        <mat-icon [svgIcon]="'heroicons_outline:check-circle'" class="mr-2 text-warn"></mat-icon>
                        <span>{{'Successfully saved'}}</span>
                    </div>
                    <div class="flex align-center text-green font-medium mb-2" *ngIf="issuccess">
                        <mat-icon [svgIcon]="'heroicons_outline:check-circle'" class="mr-2 text-green"></mat-icon>
                        <span>{{'Something went wrong'}}</span>
                    </div>
                </div>
        </mat-dialog-content>
        <mat-dialog-actions class="flex justify-end sticky bottom-0">
            <button mat-button mat-dialog-close [color]="'primary'" (click)="doAction()" type="button">
                <span class="mx-4">Cancel</span>
            </button>
            <button class="sm:inline-flex ml-4" mat-raised-button [color]="'primary'" type="submit">
                <span class="mx-4">Add User</span>
            </button>
        </mat-dialog-actions>
    </form>

</div>
